#pragma once

class RobotArm
{
	GLfloat rotBase;
	GLfloat rotSeg1;
	GLfloat rotSeg2;
	GLfloat rotWrist;
	GLfloat rotClaw;
	bool clawOpened;
public :
	RobotArm() {clawOpened = true;}

	void Display(GLenum mode, bool showAxis);

	void IncRotBase(GLfloat delta)	{ rotBase += delta; if (rotBase > 360.0) rotBase = 0; }
	void DecRotBase(GLfloat delta)	{ rotBase -= delta; if (rotBase < 0) rotBase = 360; }
	void IncRotSeg1(GLfloat delta)	{ rotSeg1 += delta; if (rotSeg1 > 360.0) rotSeg1 = 0; }
	void DecRotSeg1(GLfloat delta)	{ rotSeg1 -= delta; if (rotSeg1 < 0) rotSeg1 = 360; }
	void IncRotSeg2(GLfloat delta)	{ rotSeg2 += delta; if (rotSeg2 > 360.0) rotSeg2 = 0; }
	void DecRotSeg2(GLfloat delta)	{ rotSeg2 -= delta; if (rotSeg2 < 0) rotSeg2 = 360; }
	void IncRotWrist(GLfloat delta)	{ rotWrist += delta; if (rotWrist > 360.0) rotWrist = 0; }
	void DecRotWrist(GLfloat delta)	{ rotWrist -= delta; if (rotWrist < 0) rotWrist = 360; }
	void IncRotClaw(GLfloat delta)	{ rotClaw += delta; if (rotClaw > 360.0) rotClaw = 0; }
	void DecRotClaw(GLfloat delta)	{ rotClaw -= delta; if (rotClaw < 0) rotClaw = 360; }
	void OpenClaw()		{clawOpened = true;}
	void CloseClaw()	{clawOpened = false;}
	void ToogleClaw()	{clawOpened = !clawOpened;}
};